org.apache.storm.generated

## Class DistributedRPCInvocations.AsyncProcessor.fetchRequest<I extends DistributedRPCInvocations.AsyncIface>

- java.lang.Object
- - org.apache.storm.thrift.AsyncProcessFunction<I,DistributedRPCInvocations.fetchRequest_args,DRPCRequest>
  - - org.apache.storm.generated.DistributedRPCInvocations.AsyncProcessor.fetchRequest<I>

- Enclosing class:
    DistributedRPCInvocations.AsyncProcessor<I extends DistributedRPCInvocations.AsyncIface>

      public static class DistributedRPCInvocations.AsyncProcessor.fetchRequest<I extends DistributedRPCInvocations.AsyncIface>
      extends org.apache.storm.thrift.AsyncProcessFunction<I,DistributedRPCInvocations.fetchRequest_args,DRPCRequest>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `fetchRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DistributedRPCInvocations.fetchRequest_args` | `getEmptyArgsInstance()`
    `org.apache.storm.thrift.async.AsyncMethodCallback<DRPCRequest>` | `getResultHandler(org.apache.storm.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
    `protected boolean` | `isOneway()`
    `void` | `start(I iface, DistributedRPCInvocations.fetchRequest_args args, org.apache.storm.thrift.async.AsyncMethodCallback<DRPCRequest> resultHandler)`

    - ### Methods inherited from class org.apache.storm.thrift.AsyncProcessFunction

      `getMethodName, sendResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### fetchRequest

          public fetchRequest()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public DistributedRPCInvocations.fetchRequest_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends DistributedRPCInvocations.AsyncIface,DistributedRPCInvocations.fetchRequest_args,DRPCRequest>`

    - #### getResultHandler

          public org.apache.storm.thrift.async.AsyncMethodCallback<DRPCRequest> getResultHandler(org.apache.storm.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                                 int seqid)

      Specified by:
        `getResultHandler` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends DistributedRPCInvocations.AsyncIface,DistributedRPCInvocations.fetchRequest_args,DRPCRequest>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends DistributedRPCInvocations.AsyncIface,DistributedRPCInvocations.fetchRequest_args,DRPCRequest>`

    - #### start

          public void start(I iface,
                            DistributedRPCInvocations.fetchRequest_args args,
                            org.apache.storm.thrift.async.AsyncMethodCallback<DRPCRequest> resultHandler)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `start` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends DistributedRPCInvocations.AsyncIface,DistributedRPCInvocations.fetchRequest_args,DRPCRequest>`
      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.